Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ConstArrayVisitor Class Reference

List of all members.

## Public Member Functions
| ConstArrayVisitor ()
virtual | ~ConstArrayVisitor ()
virtual void | apply (const Array &)
virtual void | apply (const ByteArray &)
virtual void | apply (const ShortArray &)
virtual void | apply (const IntArray &)
virtual void | apply (const UByteArray &)
virtual void | apply (const UShortArray &)
virtual void | apply (const UIntArray &)
virtual void | apply (const FloatArray &)
virtual void | apply (const Vec2Array &)
virtual void | apply (const Vec3Array &)
virtual void | apply (const Vec4Array &)
virtual void | apply (const Vec4ubArray &)
virtual void | apply (const Vec2bArray &)
virtual void | apply (const Vec3bArray &)
virtual void | apply (const Vec4bArray &)
virtual void | apply (const Vec2sArray &)
virtual void | apply (const Vec3sArray &)
virtual void | apply (const Vec4sArray &)

## Constructor & Destructor Documentation

osg::ConstArrayVisitor::ConstArrayVisitor | ( |  | ) | `[inline]`

virtual osg::ConstArrayVisitor::~ConstArrayVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4sArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3sArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2sArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4bArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3bArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2bArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4ubArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec4Array & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec3Array & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Vec2Array & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const FloatArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const UIntArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const UShortArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const UByteArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const IntArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const ShortArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const ByteArray & |  | ) | `[inline, virtual]`

virtual void osg::ConstArrayVisitor::apply | ( | const Array & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Array